
Quantification tool - Feature #1445

Merging multiple forecasting files

05/06/2015 05:30 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 05/06/2015

Priority: Immediate Due date: 11/06/2015
Category:  Estimated time: 0.00 hour

Target version: Version 3.0 Spent time: 0.00 hour

Description

- Using files with extension .qtb

- Consolidating different medicines, regimens, and parameters such as enrolled and expected cases quantities defined as multi or

single-drugs, and by percentage or by quantity.

- System should warns and indicate when matching files failed due to data or format incompatibility.

History

#1 - 09/22/2015 12:51 PM - Luis Gustavo do Valle Bastos

- Priority changed from High to Immediate

#2 - 10/15/2015 12:17 PM - Oleksii Kurasov

- Status changed from New to In Progress

#3 - 10/20/2015 03:45 AM - Oleksii Kurasov

- Due date set to 10/20/2015

- Status changed from In Progress to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#4 - 10/22/2015 05:20 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

As discussed:

- System must check and display error message only if "Reference date" and "Start date of forecasting period" are different among the files to be

merged.

- Other parameters could be different among the files to be merged. For instance, if one file has longer period than another, only the cases on the

months at the end of the longer file (including months of buffer) will be displayed in the final (merged) forecasting.

- All regimens must be merged based on their names.

- All stocks on hand and on order should be merged based on expiry date and expected receiving date by medicine.

- In the final (merged) forecasting file the following fields will be blank:

- Parameters tab: "Months of buffer", "Minimum months of stock",  Maximum months of stock", "Name of the country",

- Name of the person", and "Comment".

- Order - Quantity tab: "Pack size", "Pack price" and "Adjustment" (set up as default 100)

- Order - Final cost tab: All items
#5 - 10/25/2015 10:40 AM - Oleksii Kurasov

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

All of above have done, except final cost tab. Because prices and pack sizes are not defined - the final cost tab is empty and hidden

#6 - 11/06/2015 12:44 AM - Luis Gustavo do Valle Bastos

- File Picture 1.jpg added

- File Picture 2.jpg added

- File Picture 3.jpg added

- File Picture 4.jpg added

- File Picture 5.jpg added

- File Picture 6.jpg added

- File Picture 7.JPG added

- File Picture 8.JPG added

- File Picture 9.jpg added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- Change attached message "Picture 1" to "Reference dates must be the same. Please correct and try again."

-Change attached message "Picture 2" to "Start dates of forecasting period must be the same. Please correct and try again."

- Change attached message "Picture 3" to “At least two forecasting files must be selected to merge.”

- If lead time is different but the reference date and the start date of the forecasting period are equals no error message must be displayed. In this

case the highest Lead Time among all files should be displayed in the final merged forecasting.

- Remove the error message as seen in the figure "Picture 4" attached.

- If lead time is incompatible with reference date and/or with start data of the forecasting period (before executing or saving), but is the same in the

files to be merged the system displays error message only after creating the new merged forecasting (See figure "Picture 5" attached). System must

run validation of all forecasting files before merging and displays the error message upfront (instead in the final merged file as currently).

- Change the title of the dialog box in figure "Picture 6" attached to “Select forecasting files to merge”.

- Display in the list of files at the dialog box the same names as appearing in the tabs. Currently some names are not correct as in figure "Picture 7"

attached.

- For Stock on order the expected receiving dates of the original forecasting is different of the final merged forecasting. For instance were Nov 3 and

Dec 3, 2015 and in the merged became Nov 1 and Dec 1. See "Picture 8" attached.

- Comments are merged. If two stocks are the same the comment of the first qtb file in the list (which are the same as files open in the tabs) will

overwrite the other comments of qtb files on the list. It must add all comments in the related field and separate them by commas or semi-commas or

slash.

- Change attached message "Picture 9" to "Both enrolled and expected cases must be entered by number and not by percentage."
#7 - 11/06/2015 06:44 AM - Oleksii Kurasov

- Due date changed from 10/20/2015 to 11/06/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#8 - 11/06/2015 06:44 AM - Oleksii Kurasov

Also, LT now is max from all originals

#9 - 12/08/2016 09:13 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

Files

Picture 1.jpg 68.4 KB 11/06/2015 Luis Gustavo do Valle Bastos

Picture 2.jpg 70.2 KB 11/06/2015 Luis Gustavo do Valle Bastos

Picture 3.jpg 90.4 KB 11/06/2015 Luis Gustavo do Valle Bastos

Picture 4.jpg 91 KB 11/06/2015 Luis Gustavo do Valle Bastos

Picture 5.jpg 84.8 KB 11/06/2015 Luis Gustavo do Valle Bastos

Picture 6.jpg 72.2 KB 11/06/2015 Luis Gustavo do Valle Bastos

Picture 7.JPG 95.3 KB 11/06/2015 Luis Gustavo do Valle Bastos

Picture 8.JPG 71.5 KB 11/06/2015 Luis Gustavo do Valle Bastos

Picture 9.jpg 39 KB 11/06/2015 Luis Gustavo do Valle Bastos
